<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS v5.2.1 -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="style.css" />
  </head>

  <body>
    <div class="container bg-primary w-50 rounded">
      <div class="text-white">
        <img src="/images/clear.png" width="70" height="70" />
        <span>Weather</span>
      </div>
      <div class="col-12 text-center">
        <button type="button" name="button" onclick="newinput()">+</button>
        <span
          ><label class="text-white"><h4>Add City</h4> </label></span
        >
      </div>
      <form action="index2.html">
        <div id="add"></div>
        <button class="btn btn-success m-3">Generate</button>
      </form>
    </div>

    <script>
      var id = 0;
      var newinput = function () {
        var parent = document.getElementById("add");

        var field1 = document.createElement("input");
        field1.className = "myclassname  ";
        field1.style = "display:block;";
        field1.id = "input" + id;

        field1.placeholder = "CityName :";
        field1.required = arguments;
        parent.appendChild(field1);
        id += 1;

        var field2 = document.createElement("input");
        field2.className = "myclassname ";
        field2.style = "display:block;";
        field2.id = "input" + id;
        field2.type = "number";

        field2.placeholder = "Celsius           in degrees";
        field2.required = arguments;
        parent.appendChild(field2);
        id += 1;
      };
    </script>

    <script
      src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
      integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3"
      crossorigin="anonymous"
    ></script>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.min.js"
      integrity="sha384-7VPbUDkoPSGFnVtYi0QogXtr74QeVeeIs99Qfg5YCF+TidwNdjvaKZX19NZ/e6oz"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
